/* eslint-disable no-console */
class Appboy {
  static ALLOWED_PAGES = ['/home/index.xhtml', '/candidate/my-infojobs.xhtml']

  static registerPushMessages() {
    if (!window.analytics) {
      return console.warn(
        'window.analytics is not defined, it may be blocked by your browser.'
      )
    }

    window.analytics.ready(() => {
      if (!window.appboy) {
        return console.warn(
          'window.appboy is not defined, it may be blocked by your browser.'
        )
      }

      if (window.appboy.isPushSupported() && Appboy.#isCurrentPageEnabled()) {
        window.appboy.registerAppboyPushMessages()
      }
    })
  }

  static #isCurrentPageEnabled() {
    return Appboy.ALLOWED_PAGES.includes(window.location.pathname)
  }
}

export default Appboy
